1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \	]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88subdir = .
89ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
91	$(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95	$(am__configure_deps) $(am__DIST_COMMON)
96am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
98mkinstalldirs = $(install_sh) -d
99CONFIG_HEADER = config.h
100CONFIG_CLEAN_FILES =
101CONFIG_CLEAN_VPATH_FILES =
102AM_V_P = $(am__v_P_@AM_V@)
103am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104am__v_P_0 = false
105am__v_P_1 = :
106AM_V_GEN = $(am__v_GEN_@AM_V@)
107am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108am__v_GEN_0 = @echo "  GEN     " $@;
109am__v_GEN_1 =
110AM_V_at = $(am__v_at_@AM_V@)
111am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
112am__v_at_0 = @
113am__v_at_1 =
114SOURCES =
115DIST_SOURCES =
116RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117	ctags-recursive dvi-recursive html-recursive info-recursive \
118	install-data-recursive install-dvi-recursive \
119	install-exec-recursive install-html-recursive \
120	install-info-recursive install-pdf-recursive \
121	install-ps-recursive install-recursive installcheck-recursive \
122	installdirs-recursive pdf-recursive ps-recursive \
123	tags-recursive uninstall-recursive
124am__can_run_installinfo = \
125  case $$AM_UPDATE_INFO_DIR in \
126    n|no|NO) false;; \
127    *) (install-info --version) >/dev/null 2>&1;; \
128  esac
129RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
130  distclean-recursive maintainer-clean-recursive
131am__recursive_targets = \
132  $(RECURSIVE_TARGETS) \
133  $(RECURSIVE_CLEAN_TARGETS) \
134  $(am__extra_recursive_targets)
135AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
136	cscope distdir distdir-am dist dist-all distcheck
137am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
138	$(LISP)config.h.in
139# Read a list of newline-separated strings from the standard input,
140# and print each of them once, without duplicates.  Input order is
141# *not* preserved.
142am__uniquify_input = $(AWK) '\
143  BEGIN { nonempty = 0; } \
144  { items[$$0] = 1; nonempty = 1; } \
145  END { if (nonempty) { for (i in items) print i; }; } \
146'
147# Make sure the list of sources is unique.  This is necessary because,
148# e.g., the same source file might be shared among _SOURCES variables
149# for different programs/libraries.
150am__define_uniq_tagged_files = \
151  list='$(am__tagged_files)'; \
152  unique=`for i in $$list; do \
153    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
154  done | $(am__uniquify_input)`
155ETAGS = etags
156CTAGS = ctags
157CSCOPE = cscope
158DIST_SUBDIRS = $(SUBDIRS)
159am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
160	$(top_srcdir)/build/compile $(top_srcdir)/build/install-sh \
161	$(top_srcdir)/build/missing AUTHORS COPYING ChangeLog INSTALL \
162	NEWS README TODO build/compile build/install-sh build/missing
163DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
164distdir = $(PACKAGE)-$(VERSION)
165top_distdir = $(distdir)
166am__remove_distdir = \
167  if test -d "$(distdir)"; then \
168    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
169      && rm -rf "$(distdir)" \
170      || { sleep 5 && rm -rf "$(distdir)"; }; \
171  else :; fi
172am__post_remove_distdir = $(am__remove_distdir)
173am__relativize = \
174  dir0=`pwd`; \
175  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
176  sed_rest='s,^[^/]*/*,,'; \
177  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
178  sed_butlast='s,/*[^/]*$$,,'; \
179  while test -n "$$dir1"; do \
180    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
181    if test "$$first" != "."; then \
182      if test "$$first" = ".."; then \
183        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
184        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
185      else \
186        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
187        if test "$$first2" = "$$first"; then \
188          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
189        else \
190          dir2="../$$dir2"; \
191        fi; \
192        dir0="$$dir0"/"$$first"; \
193      fi; \
194    fi; \
195    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
196  done; \
197  reldir="$$dir2"
198DIST_ARCHIVES = $(distdir).tar.gz
199GZIP_ENV = --best
200DIST_TARGETS = dist-gzip
201distuninstallcheck_listfiles = find . -type f -print
202am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
203  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
204distcleancheck_listfiles = find . -type f -print
205ACLOCAL = @ACLOCAL@
206AMTAR = @AMTAR@
207AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
208AUTOCONF = @AUTOCONF@
209AUTOHEADER = @AUTOHEADER@
210AUTOMAKE = @AUTOMAKE@
211AWK = @AWK@
212BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
213BOOST_LDFLAGS = @BOOST_LDFLAGS@
214CC = @CC@
215CCDEPMODE = @CCDEPMODE@
216CFLAGS = @CFLAGS@
217CPPFLAGS = @CPPFLAGS@
218CXX = @CXX@
219CXXCPP = @CXXCPP@
220CXXDEPMODE = @CXXDEPMODE@
221CXXFLAGS = @CXXFLAGS@
222CYGPATH_W = @CYGPATH_W@
223DEFS = @DEFS@
224DEPDIR = @DEPDIR@
225ECHO_C = @ECHO_C@
226ECHO_N = @ECHO_N@
227ECHO_T = @ECHO_T@
228EGREP = @EGREP@
229EXEEXT = @EXEEXT@
230GREP = @GREP@
231INSTALL = @INSTALL@
232INSTALL_DATA = @INSTALL_DATA@
233INSTALL_PROGRAM = @INSTALL_PROGRAM@
234INSTALL_SCRIPT = @INSTALL_SCRIPT@
235INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
236LDFLAGS = @LDFLAGS@
237LIBOBJS = @LIBOBJS@
238LIBS = @LIBS@
239LTLIBOBJS = @LTLIBOBJS@
240MAKEINFO = @MAKEINFO@
241MKDIR_P = @MKDIR_P@
242OBJEXT = @OBJEXT@
243PACKAGE = @PACKAGE@
244PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
245PACKAGE_NAME = @PACKAGE_NAME@
246PACKAGE_STRING = @PACKAGE_STRING@
247PACKAGE_TARNAME = @PACKAGE_TARNAME@
248PACKAGE_URL = @PACKAGE_URL@
249PACKAGE_VERSION = @PACKAGE_VERSION@
250PATH_SEPARATOR = @PATH_SEPARATOR@
251SET_MAKE = @SET_MAKE@
252SHELL = @SHELL@
253STRIP = @STRIP@
254VERSION = @VERSION@
255abs_builddir = @abs_builddir@
256abs_srcdir = @abs_srcdir@
257abs_top_builddir = @abs_top_builddir@
258abs_top_srcdir = @abs_top_srcdir@
259ac_ct_CC = @ac_ct_CC@
260ac_ct_CXX = @ac_ct_CXX@
261am__include = @am__include@
262am__leading_dot = @am__leading_dot@
263am__quote = @am__quote@
264am__tar = @am__tar@
265am__untar = @am__untar@
266bindir = @bindir@
267build_alias = @build_alias@
268builddir = @builddir@
269datadir = @datadir@
270datarootdir = @datarootdir@
271docdir = @docdir@
272dvidir = @dvidir@
273exec_prefix = @exec_prefix@
274host_alias = @host_alias@
275htmldir = @htmldir@
276includedir = @includedir@
277infodir = @infodir@
278install_sh = @install_sh@
279libdir = @libdir@
280libexecdir = @libexecdir@
281localedir = @localedir@
282localstatedir = @localstatedir@
283mandir = @mandir@
284mkdir_p = @mkdir_p@
285oldincludedir = @oldincludedir@
286pdfdir = @pdfdir@
287prefix = @prefix@
288program_transform_name = @program_transform_name@
289psdir = @psdir@
290runstatedir = @runstatedir@
291sbindir = @sbindir@
292sharedstatedir = @sharedstatedir@
293srcdir = @srcdir@
294sysconfdir = @sysconfdir@
295target_alias = @target_alias@
296top_build_prefix = @top_build_prefix@
297top_builddir = @top_builddir@
298top_srcdir = @top_srcdir@
299SUBDIRS = src doc
300EXTRA_DIST = bootstrap \
301             ax_boost_base.m4 \
302             version.h
303
304BUILT_SOURCES = version.h
305all: $(BUILT_SOURCES) config.h
306	$(MAKE) $(AM_MAKEFLAGS) all-recursive
307
308.SUFFIXES:
309am--refresh: Makefile
310	@:
311$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
312	@for dep in $?; do \
313	  case '$(am__configure_deps)' in \
314	    *$$dep*) \
315	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
316	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
317		&& exit 0; \
318	      exit 1;; \
319	  esac; \
320	done; \
321	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
322	$(am__cd) $(top_srcdir) && \
323	  $(AUTOMAKE) --gnu Makefile
324Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
325	@case '$?' in \
326	  *config.status*) \
327	    echo ' $(SHELL) ./config.status'; \
328	    $(SHELL) ./config.status;; \
329	  *) \
330	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
331	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
332	esac;
333
334$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
335	$(SHELL) ./config.status --recheck
336
337$(top_srcdir)/configure:  $(am__configure_deps)
338	$(am__cd) $(srcdir) && $(AUTOCONF)
339$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
340	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
341$(am__aclocal_m4_deps):
342
343config.h: stamp-h1
344	@test -f $@ || rm -f stamp-h1
345	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
346
347stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
348	@rm -f stamp-h1
349	cd $(top_builddir) && $(SHELL) ./config.status config.h
350$(srcdir)/config.h.in:  $(am__configure_deps)
351	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
352	rm -f stamp-h1
353	touch $@
354
355distclean-hdr:
356	-rm -f config.h stamp-h1
357
358# This directory's subdirectories are mostly independent; you can cd
359# into them and run 'make' without going through this Makefile.
360# To change the values of 'make' variables: instead of editing Makefiles,
361# (1) if the variable is set in 'config.status', edit 'config.status'
362#     (which will cause the Makefiles to be regenerated when you run 'make');
363# (2) otherwise, pass the desired values on the 'make' command line.
364$(am__recursive_targets):
365	@fail=; \
366	if $(am__make_keepgoing); then \
367	  failcom='fail=yes'; \
368	else \
369	  failcom='exit 1'; \
370	fi; \
371	dot_seen=no; \
372	target=`echo $@ | sed s/-recursive//`; \
373	case "$@" in \
374	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
375	  *) list='$(SUBDIRS)' ;; \
376	esac; \
377	for subdir in $$list; do \
378	  echo "Making $$target in $$subdir"; \
379	  if test "$$subdir" = "."; then \
380	    dot_seen=yes; \
381	    local_target="$$target-am"; \
382	  else \
383	    local_target="$$target"; \
384	  fi; \
385	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
386	  || eval $$failcom; \
387	done; \
388	if test "$$dot_seen" = "no"; then \
389	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
390	fi; test -z "$$fail"
391
392ID: $(am__tagged_files)
393	$(am__define_uniq_tagged_files); mkid -fID $$unique
394tags: tags-recursive
395TAGS: tags
396
397tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
398	set x; \
399	here=`pwd`; \
400	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
401	  include_option=--etags-include; \
402	  empty_fix=.; \
403	else \
404	  include_option=--include; \
405	  empty_fix=; \
406	fi; \
407	list='$(SUBDIRS)'; for subdir in $$list; do \
408	  if test "$$subdir" = .; then :; else \
409	    test ! -f $$subdir/TAGS || \
410	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
411	  fi; \
412	done; \
413	$(am__define_uniq_tagged_files); \
414	shift; \
415	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
416	  test -n "$$unique" || unique=$$empty_fix; \
417	  if test $$# -gt 0; then \
418	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
419	      "$$@" $$unique; \
420	  else \
421	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
422	      $$unique; \
423	  fi; \
424	fi
425ctags: ctags-recursive
426
427CTAGS: ctags
428ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
429	$(am__define_uniq_tagged_files); \
430	test -z "$(CTAGS_ARGS)$$unique" \
431	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
432	     $$unique
433
434GTAGS:
435	here=`$(am__cd) $(top_builddir) && pwd` \
436	  && $(am__cd) $(top_srcdir) \
437	  && gtags -i $(GTAGS_ARGS) "$$here"
438cscope: cscope.files
439	test ! -s cscope.files \
440	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
441clean-cscope:
442	-rm -f cscope.files
443cscope.files: clean-cscope cscopelist
444cscopelist: cscopelist-recursive
445
446cscopelist-am: $(am__tagged_files)
447	list='$(am__tagged_files)'; \
448	case "$(srcdir)" in \
449	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
450	  *) sdir=$(subdir)/$(srcdir) ;; \
451	esac; \
452	for i in $$list; do \
453	  if test -f "$$i"; then \
454	    echo "$(subdir)/$$i"; \
455	  else \
456	    echo "$$sdir/$$i"; \
457	  fi; \
458	done >> $(top_builddir)/cscope.files
459
460distclean-tags:
461	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
462	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
463
464distdir: $(BUILT_SOURCES)
465	$(MAKE) $(AM_MAKEFLAGS) distdir-am
466
467distdir-am: $(DISTFILES)
468	$(am__remove_distdir)
469	test -d "$(distdir)" || mkdir "$(distdir)"
470	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
471	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
472	list='$(DISTFILES)'; \
473	  dist_files=`for file in $$list; do echo $$file; done | \
474	  sed -e "s|^$$srcdirstrip/||;t" \
475	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
476	case $$dist_files in \
477	  */*) $(MKDIR_P) `echo "$$dist_files" | \
478			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
479			   sort -u` ;; \
480	esac; \
481	for file in $$dist_files; do \
482	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
483	  if test -d $$d/$$file; then \
484	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
485	    if test -d "$(distdir)/$$file"; then \
486	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
487	    fi; \
488	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
489	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
490	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
491	    fi; \
492	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
493	  else \
494	    test -f "$(distdir)/$$file" \
495	    || cp -p $$d/$$file "$(distdir)/$$file" \
496	    || exit 1; \
497	  fi; \
498	done
499	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
500	  if test "$$subdir" = .; then :; else \
501	    $(am__make_dryrun) \
502	      || test -d "$(distdir)/$$subdir" \
503	      || $(MKDIR_P) "$(distdir)/$$subdir" \
504	      || exit 1; \
505	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
506	    $(am__relativize); \
507	    new_distdir=$$reldir; \
508	    dir1=$$subdir; dir2="$(top_distdir)"; \
509	    $(am__relativize); \
510	    new_top_distdir=$$reldir; \
511	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
512	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
513	    ($(am__cd) $$subdir && \
514	      $(MAKE) $(AM_MAKEFLAGS) \
515	        top_distdir="$$new_top_distdir" \
516	        distdir="$$new_distdir" \
517		am__remove_distdir=: \
518		am__skip_length_check=: \
519		am__skip_mode_fix=: \
520	        distdir) \
521	      || exit 1; \
522	  fi; \
523	done
524	-test -n "$(am__skip_mode_fix)" \
525	|| find "$(distdir)" -type d ! -perm -755 \
526		-exec chmod u+rwx,go+rx {} \; -o \
527	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
528	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
529	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
530	|| chmod -R a+r "$(distdir)"
531dist-gzip: distdir
532	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
533	$(am__post_remove_distdir)
534
535dist-bzip2: distdir
536	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
537	$(am__post_remove_distdir)
538
539dist-lzip: distdir
540	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
541	$(am__post_remove_distdir)
542
543dist-xz: distdir
544	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
545	$(am__post_remove_distdir)
546
547dist-tarZ: distdir
548	@echo WARNING: "Support for distribution archives compressed with" \
549		       "legacy program 'compress' is deprecated." >&2
550	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
551	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
552	$(am__post_remove_distdir)
553
554dist-shar: distdir
555	@echo WARNING: "Support for shar distribution archives is" \
556	               "deprecated." >&2
557	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
558	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
559	$(am__post_remove_distdir)
560
561dist-zip: distdir
562	-rm -f $(distdir).zip
563	zip -rq $(distdir).zip $(distdir)
564	$(am__post_remove_distdir)
565
566dist dist-all:
567	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
568	$(am__post_remove_distdir)
569
570# This target untars the dist file and tries a VPATH configuration.  Then
571# it guarantees that the distribution is self-contained by making another
572# tarfile.
573distcheck: dist
574	case '$(DIST_ARCHIVES)' in \
575	*.tar.gz*) \
576	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
577	*.tar.bz2*) \
578	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
579	*.tar.lz*) \
580	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
581	*.tar.xz*) \
582	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
583	*.tar.Z*) \
584	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
585	*.shar.gz*) \
586	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
587	*.zip*) \
588	  unzip $(distdir).zip ;;\
589	esac
590	chmod -R a-w $(distdir)
591	chmod u+w $(distdir)
592	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
593	chmod a-w $(distdir)
594	test -d $(distdir)/_build || exit 0; \
595	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
596	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
597	  && am__cwd=`pwd` \
598	  && $(am__cd) $(distdir)/_build/sub \
599	  && ../../configure \
600	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
601	    $(DISTCHECK_CONFIGURE_FLAGS) \
602	    --srcdir=../.. --prefix="$$dc_install_base" \
603	  && $(MAKE) $(AM_MAKEFLAGS) \
604	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
605	  && $(MAKE) $(AM_MAKEFLAGS) check \
606	  && $(MAKE) $(AM_MAKEFLAGS) install \
607	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
608	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
609	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
610	        distuninstallcheck \
611	  && chmod -R a-w "$$dc_install_base" \
612	  && ({ \
613	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
614	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
615	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
616	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
617	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
618	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
619	  && rm -rf "$$dc_destdir" \
620	  && $(MAKE) $(AM_MAKEFLAGS) dist \
621	  && rm -rf $(DIST_ARCHIVES) \
622	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
623	  && cd "$$am__cwd" \
624	  || exit 1
625	$(am__post_remove_distdir)
626	@(echo "$(distdir) archives ready for distribution: "; \
627	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
628	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
629distuninstallcheck:
630	@test -n '$(distuninstallcheck_dir)' || { \
631	  echo 'ERROR: trying to run $@ with an empty' \
632	       '$$(distuninstallcheck_dir)' >&2; \
633	  exit 1; \
634	}; \
635	$(am__cd) '$(distuninstallcheck_dir)' || { \
636	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
637	  exit 1; \
638	}; \
639	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
640	   || { echo "ERROR: files left after uninstall:" ; \
641	        if test -n "$(DESTDIR)"; then \
642	          echo "  (check DESTDIR support)"; \
643	        fi ; \
644	        $(distuninstallcheck_listfiles) ; \
645	        exit 1; } >&2
646distcleancheck: distclean
647	@if test '$(srcdir)' = . ; then \
648	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
649	  exit 1 ; \
650	fi
651	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
652	  || { echo "ERROR: files left in build directory after distclean:" ; \
653	       $(distcleancheck_listfiles) ; \
654	       exit 1; } >&2
655check-am: all-am
656check: $(BUILT_SOURCES)
657	$(MAKE) $(AM_MAKEFLAGS) check-recursive
658all-am: Makefile config.h
659installdirs: installdirs-recursive
660installdirs-am:
661install: $(BUILT_SOURCES)
662	$(MAKE) $(AM_MAKEFLAGS) install-recursive
663install-exec: install-exec-recursive
664install-data: install-data-recursive
665uninstall: uninstall-recursive
666
667install-am: all-am
668	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
669
670installcheck: installcheck-recursive
671install-strip:
672	if test -z '$(STRIP)'; then \
673	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
674	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
675	      install; \
676	else \
677	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
678	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
679	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
680	fi
681mostlyclean-generic:
682
683clean-generic:
684
685distclean-generic:
686	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
687	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
688
689maintainer-clean-generic:
690	@echo "This command is intended for maintainers to use"
691	@echo "it deletes files that may require special tools to rebuild."
692	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
693clean: clean-recursive
694
695clean-am: clean-generic mostlyclean-am
696
697distclean: distclean-recursive
698	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
699	-rm -f Makefile
700distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
701
702dvi: dvi-recursive
703
704dvi-am:
705
706html: html-recursive
707
708html-am:
709
710info: info-recursive
711
712info-am:
713
714install-data-am:
715
716install-dvi: install-dvi-recursive
717
718install-dvi-am:
719
720install-exec-am:
721
722install-html: install-html-recursive
723
724install-html-am:
725
726install-info: install-info-recursive
727
728install-info-am:
729
730install-man:
731
732install-pdf: install-pdf-recursive
733
734install-pdf-am:
735
736install-ps: install-ps-recursive
737
738install-ps-am:
739
740installcheck-am:
741
742maintainer-clean: maintainer-clean-recursive
743	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
744	-rm -rf $(top_srcdir)/autom4te.cache
745	-rm -f Makefile
746maintainer-clean-am: distclean-am maintainer-clean-generic
747
748mostlyclean: mostlyclean-recursive
749
750mostlyclean-am: mostlyclean-generic
751
752pdf: pdf-recursive
753
754pdf-am:
755
756ps: ps-recursive
757
758ps-am:
759
760uninstall-am:
761
762.MAKE: $(am__recursive_targets) all check install install-am \
763	install-strip
764
765.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
766	am--refresh check check-am clean clean-cscope clean-generic \
767	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
768	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
769	distcheck distclean distclean-generic distclean-hdr \
770	distclean-tags distcleancheck distdir distuninstallcheck dvi \
771	dvi-am html html-am info info-am install install-am \
772	install-data install-data-am install-dvi install-dvi-am \
773	install-exec install-exec-am install-html install-html-am \
774	install-info install-info-am install-man install-pdf \
775	install-pdf-am install-ps install-ps-am install-strip \
776	installcheck installcheck-am installdirs installdirs-am \
777	maintainer-clean maintainer-clean-generic mostlyclean \
778	mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
779	uninstall-am
780
781.PRECIOUS: Makefile
782
783
784acinclude.m4: ax_boost_base.m4
785	cat ax_boost_base.m4 > acinclude.m4
786
787version.h:
788@DOT_GIT_TRUE@	echo "#define PACKAGE_VERSION_GIT_DESCRIBE \"`git describe --always --dirty --broken`\"" > version.h
789@DOT_GIT_FALSE@	echo '#define PACKAGE_VERSION_GIT_DESCRIBE "unknown"' > version.h
790
791# Tell versions [3.59,3.63) of GNU make to not export all variables.
792# Otherwise a system limit (for SysV at least) may be exceeded.
793.NOEXPORT:
794